/*
 * American Sign Language Learning Aid (ASLLA),
 * Copyright (C) 2002
 *    andy_uehara@yahoo.com
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 */

#ifndef Cmydropbox2_h
#define Cmydropbox2_h
#include "pgapplication.h"
#include "pgbutton.h"
#include "pglabel.h"
#include "pgimage.h"
#include "pgthemewidget.h"
#include "pgeventobject.h"
#include "pglineedit.h"
#include "pgdropdown.h"

#include "Ctranslator.h"
#include "mywidget.h"

class MyDropBox2 :public PG_DropDown{
public:
  MyDropBox2(PG_Widget *parent, int id, const PG_Rect &r, const char *style="DropDown");
  ~MyDropBox2();
  void SetTranslator (CTranslator*);
  void LoadCSignwrdcntrDB ();
  bool eventSelectItem(PG_ListBoxBaseItem *item);
  void SetMyWid(MyWidget*);
  void LoadMywid(char* word);
  void EnterHandler();
  MyWidget* GetMyWid();

protected:
private:
  MyWidget* mywidptr;
  CTranslator* translatorptr;
};
#endif
